<?php
$tdataallocation = array();
$tdataallocation[".searchableFields"] = array();
$tdataallocation[".ShortName"] = "allocation";
$tdataallocation[".OwnerID"] = "md";
$tdataallocation[".OriginalTable"] = "allocation";


$tdataallocation[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataallocation[".originalPagesByType"] = $tdataallocation[".pagesByType"];
$tdataallocation[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataallocation[".originalPages"] = $tdataallocation[".pages"];
$tdataallocation[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataallocation[".originalDefaultPages"] = $tdataallocation[".defaultPages"];

//	field labels
$fieldLabelsallocation = array();
$fieldToolTipsallocation = array();
$pageTitlesallocation = array();
$placeHoldersallocation = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsallocation["English"] = array();
	$fieldToolTipsallocation["English"] = array();
	$placeHoldersallocation["English"] = array();
	$pageTitlesallocation["English"] = array();
	$fieldLabelsallocation["English"]["id"] = "ID";
	$fieldToolTipsallocation["English"]["id"] = "";
	$placeHoldersallocation["English"]["id"] = "";
	$fieldLabelsallocation["English"]["date"] = "Date";
	$fieldToolTipsallocation["English"]["date"] = "";
	$placeHoldersallocation["English"]["date"] = "";
	$fieldLabelsallocation["English"]["expenditure_code"] = "Expenditure code";
	$fieldToolTipsallocation["English"]["expenditure_code"] = "";
	$placeHoldersallocation["English"]["expenditure_code"] = "";
	$fieldLabelsallocation["English"]["department_name"] = "Department name";
	$fieldToolTipsallocation["English"]["department_name"] = "";
	$placeHoldersallocation["English"]["department_name"] = "";
	$fieldLabelsallocation["English"]["at_start"] = "At start";
	$fieldToolTipsallocation["English"]["at_start"] = "";
	$placeHoldersallocation["English"]["at_start"] = "";
	$fieldLabelsallocation["English"]["at_end"] = "At end";
	$fieldToolTipsallocation["English"]["at_end"] = "";
	$placeHoldersallocation["English"]["at_end"] = "";
	$fieldLabelsallocation["English"]["user"] = "User";
	$fieldToolTipsallocation["English"]["user"] = "";
	$placeHoldersallocation["English"]["user"] = "";
	$fieldLabelsallocation["English"]["on_time"] = "On Time";
	$fieldToolTipsallocation["English"]["on_time"] = "";
	$placeHoldersallocation["English"]["on_time"] = "";
	$fieldLabelsallocation["English"]["md"] = "Md";
	$fieldToolTipsallocation["English"]["md"] = "";
	$placeHoldersallocation["English"]["md"] = "";
	$fieldLabelsallocation["English"]["description"] = "Description";
	$fieldToolTipsallocation["English"]["description"] = "";
	$placeHoldersallocation["English"]["description"] = "";
	$fieldLabelsallocation["English"]["this_allocation"] = "This Allocation";
	$fieldToolTipsallocation["English"]["this_allocation"] = "";
	$placeHoldersallocation["English"]["this_allocation"] = "";
	$fieldLabelsallocation["English"]["comment"] = "Comment";
	$fieldToolTipsallocation["English"]["comment"] = "";
	$placeHoldersallocation["English"]["comment"] = "";
	$fieldLabelsallocation["English"]["c_acc"] = "C Acc";
	$fieldToolTipsallocation["English"]["c_acc"] = "";
	$placeHoldersallocation["English"]["c_acc"] = "";
	$fieldLabelsallocation["English"]["delete"] = "Delete";
	$fieldToolTipsallocation["English"]["delete"] = "";
	$placeHoldersallocation["English"]["delete"] = "";
	$fieldLabelsallocation["English"]["status"] = "Status";
	$fieldToolTipsallocation["English"]["status"] = "";
	$placeHoldersallocation["English"]["status"] = "";
	if (count($fieldToolTipsallocation["English"]))
		$tdataallocation[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="sinhala")
{
	$fieldLabelsallocation["sinhala"] = array();
	$fieldToolTipsallocation["sinhala"] = array();
	$placeHoldersallocation["sinhala"] = array();
	$pageTitlesallocation["sinhala"] = array();
	$fieldLabelsallocation["sinhala"]["id"] = "අංකය";
	$fieldToolTipsallocation["sinhala"]["id"] = "";
	$placeHoldersallocation["sinhala"]["id"] = "";
	$fieldLabelsallocation["sinhala"]["date"] = "දිනය";
	$fieldToolTipsallocation["sinhala"]["date"] = "";
	$placeHoldersallocation["sinhala"]["date"] = "";
	$fieldLabelsallocation["sinhala"]["expenditure_code"] = "වැය ශිර්ෂය";
	$fieldToolTipsallocation["sinhala"]["expenditure_code"] = "";
	$placeHoldersallocation["sinhala"]["expenditure_code"] = "";
	$fieldLabelsallocation["sinhala"]["department_name"] = "දෙපාර්තමේන්තුව";
	$fieldToolTipsallocation["sinhala"]["department_name"] = "";
	$placeHoldersallocation["sinhala"]["department_name"] = "";
	$fieldLabelsallocation["sinhala"]["at_start"] = "ආරම්භක ශේෂය";
	$fieldToolTipsallocation["sinhala"]["at_start"] = "";
	$placeHoldersallocation["sinhala"]["at_start"] = "";
	$fieldLabelsallocation["sinhala"]["at_end"] = "අවසාන ශේෂය";
	$fieldToolTipsallocation["sinhala"]["at_end"] = "";
	$placeHoldersallocation["sinhala"]["at_end"] = "";
	$fieldLabelsallocation["sinhala"]["user"] = "User";
	$fieldToolTipsallocation["sinhala"]["user"] = "";
	$placeHoldersallocation["sinhala"]["user"] = "";
	$fieldLabelsallocation["sinhala"]["on_time"] = "On Time";
	$fieldToolTipsallocation["sinhala"]["on_time"] = "";
	$placeHoldersallocation["sinhala"]["on_time"] = "";
	$fieldLabelsallocation["sinhala"]["md"] = "Md";
	$fieldToolTipsallocation["sinhala"]["md"] = "";
	$placeHoldersallocation["sinhala"]["md"] = "";
	$fieldLabelsallocation["sinhala"]["description"] = "Description";
	$fieldToolTipsallocation["sinhala"]["description"] = "";
	$placeHoldersallocation["sinhala"]["description"] = "";
	$fieldLabelsallocation["sinhala"]["this_allocation"] = "මෙම ප්‍රතිපාදනය";
	$fieldToolTipsallocation["sinhala"]["this_allocation"] = "";
	$placeHoldersallocation["sinhala"]["this_allocation"] = "";
	$fieldLabelsallocation["sinhala"]["comment"] = "Comment";
	$fieldToolTipsallocation["sinhala"]["comment"] = "";
	$placeHoldersallocation["sinhala"]["comment"] = "";
	$fieldLabelsallocation["sinhala"]["c_acc"] = "C Acc";
	$fieldToolTipsallocation["sinhala"]["c_acc"] = "";
	$placeHoldersallocation["sinhala"]["c_acc"] = "";
	$fieldLabelsallocation["sinhala"]["delete"] = "Delete";
	$fieldToolTipsallocation["sinhala"]["delete"] = "";
	$placeHoldersallocation["sinhala"]["delete"] = "";
	$fieldLabelsallocation["sinhala"]["status"] = "Status";
	$fieldToolTipsallocation["sinhala"]["status"] = "";
	$placeHoldersallocation["sinhala"]["status"] = "";
	if (count($fieldToolTipsallocation["sinhala"]))
		$tdataallocation[".isUseToolTips"] = true;
}


	$tdataallocation[".NCSearch"] = true;



$tdataallocation[".shortTableName"] = "allocation";
$tdataallocation[".nSecOptions"] = 1;

$tdataallocation[".mainTableOwnerID"] = "md";
$tdataallocation[".entityType"] = 0;
$tdataallocation[".connId"] = "allo_at_localhost";


$tdataallocation[".strOriginalTableName"] = "allocation";

	



$tdataallocation[".showAddInPopup"] = false;

$tdataallocation[".showEditInPopup"] = false;

$tdataallocation[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataallocation[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataallocation[".listAjax"] = true;
//	temporary
$tdataallocation[".listAjax"] = false;

	$tdataallocation[".audit"] = true;

	$tdataallocation[".locking"] = true;


$pages = $tdataallocation[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataallocation[".edit"] = true;
	$tdataallocation[".afterEditAction"] = 1;
	$tdataallocation[".closePopupAfterEdit"] = 1;
	$tdataallocation[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataallocation[".add"] = true;
$tdataallocation[".afterAddAction"] = 0;
$tdataallocation[".closePopupAfterAdd"] = 1;
$tdataallocation[".afterAddActionDetTable"] = "allocation_detail";
}

if( $pages[PAGE_LIST] ) {
	$tdataallocation[".list"] = true;
}



$tdataallocation[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataallocation[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataallocation[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataallocation[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataallocation[".printFriendly"] = true;
}



$tdataallocation[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataallocation[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataallocation[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataallocation[".isUseAjaxSuggest"] = true;

$tdataallocation[".rowHighlite"] = true;



																								

$tdataallocation[".ajaxCodeSnippetAdded"] = false;

$tdataallocation[".buttonsAdded"] = false;

$tdataallocation[".addPageEvents"] = true;

// use timepicker for search panel
$tdataallocation[".isUseTimeForSearch"] = false;


$tdataallocation[".badgeColor"] = "008B8B";


$tdataallocation[".allSearchFields"] = array();
$tdataallocation[".filterFields"] = array();
$tdataallocation[".requiredSearchFields"] = array();

$tdataallocation[".googleLikeFields"] = array();
$tdataallocation[".googleLikeFields"][] = "id";
$tdataallocation[".googleLikeFields"][] = "date";
$tdataallocation[".googleLikeFields"][] = "expenditure_code";
$tdataallocation[".googleLikeFields"][] = "department_name";
$tdataallocation[".googleLikeFields"][] = "at_start";
$tdataallocation[".googleLikeFields"][] = "at_end";
$tdataallocation[".googleLikeFields"][] = "user";
$tdataallocation[".googleLikeFields"][] = "on_time";
$tdataallocation[".googleLikeFields"][] = "md";
$tdataallocation[".googleLikeFields"][] = "description";
$tdataallocation[".googleLikeFields"][] = "this_allocation";
$tdataallocation[".googleLikeFields"][] = "comment";
$tdataallocation[".googleLikeFields"][] = "c_acc";
$tdataallocation[".googleLikeFields"][] = "delete";
$tdataallocation[".googleLikeFields"][] = "status";



$tdataallocation[".tableType"] = "list";

$tdataallocation[".printerPageOrientation"] = 0;
$tdataallocation[".nPrinterPageScale"] = 100;

$tdataallocation[".nPrinterSplitRecords"] = 40;

$tdataallocation[".geocodingEnabled"] = false;







$tdataallocation[".noRecordsFirstPage"] = true;



$tdataallocation[".pageSize"] = 20;

$tdataallocation[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataallocation[".strOrderBy"] = $tstrOrderBy;

$tdataallocation[".orderindexes"] = array();


$tdataallocation[".sqlHead"] = "SELECT id,  `date`,  expenditure_code,  department_name,  at_start,  at_end,  `user`,  on_time,  md,  description,  this_allocation,  `comment`,  c_acc,  `delete`,  status";
$tdataallocation[".sqlFrom"] = "FROM allocation";
$tdataallocation[".sqlWhereExpr"] = "(status = \"creating\")";
$tdataallocation[".sqlTail"] = "";

//fill array of tabs for list page
$arrGridTabs = array();
$arrGridTabs[] = array(
	'tabId' => "",
	'name' => "All data",
	'nameType' => 'Text',
	'where' => "",
	'showRowCount' => 0,
	'hideEmpty' => 0,
);
$tdataallocation[".arrGridTabs"] = $arrGridTabs;









//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataallocation[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataallocation[".arrGroupsPerPage"] = $arrGPP;

$tdataallocation[".highlightSearchResults"] = true;

$tableKeysallocation = array();
$tableKeysallocation[] = "id";
$tdataallocation[".Keys"] = $tableKeysallocation;


$tdataallocation[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["id"] = $fdata;
		$tdataallocation[".searchableFields"][] = "id";
//	date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "date";
	$fdata["GoodName"] = "date";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","date");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`date`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Between";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["date"] = $fdata;
		$tdataallocation[".searchableFields"][] = "date";
//	expenditure_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "expenditure_code";
	$fdata["GoodName"] = "expenditure_code";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","expenditure_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "expenditure_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "expenditure_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["list"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["print"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["export"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterlist"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterprint"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "main ledger";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"department_name", 'lookupF'=>"department_name");
	$edata["autoCompleteFields"][] = array('masterF'=>"at_start", 'lookupF'=>"On hand");
	$edata["autoCompleteFields"][] = array('masterF'=>"description", 'lookupF'=>"description");
	$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "expendite_code";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "expendite_code";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["add"] = $edata;
	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "main ledger";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "expendite_code";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "expendite_code";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = true;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["expenditure_code"] = $fdata;
		$tdataallocation[".searchableFields"][] = "expenditure_code";
//	department_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "department_name";
	$fdata["GoodName"] = "department_name";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","department_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "department_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "department_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["view"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 20;

	$fdata["ViewFormats"]["list"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["print"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["export"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterlist"] = $vdata;
	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["masterprint"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["add"] = $edata;
	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = true;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
		$fdata["filterTotalFields"] = "id";
		$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["department_name"] = $fdata;
		$tdataallocation[".searchableFields"][] = "department_name";
//	at_start
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "at_start";
	$fdata["GoodName"] = "at_start";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","at_start");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "at_start";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "at_start";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["at_start"] = $fdata;
		$tdataallocation[".searchableFields"][] = "at_start";
//	at_end
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "at_end";
	$fdata["GoodName"] = "at_end";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","at_end");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "at_end";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "at_end";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["at_end"] = $fdata;
		$tdataallocation[".searchableFields"][] = "at_end";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["user"] = $fdata;
		$tdataallocation[".searchableFields"][] = "user";
//	on_time
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "on_time";
	$fdata["GoodName"] = "on_time";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","on_time");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "on_time";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "on_time";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["on_time"] = $fdata;
		$tdataallocation[".searchableFields"][] = "on_time";
//	md
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "md";
	$fdata["GoodName"] = "md";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","md");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "md";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "md";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["md"] = $fdata;
		$tdataallocation[".searchableFields"][] = "md";
//	description
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "description";
	$fdata["GoodName"] = "description";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","description");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "description";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "description";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["description"] = $fdata;
		$tdataallocation[".searchableFields"][] = "description";
//	this_allocation
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "this_allocation";
	$fdata["GoodName"] = "this_allocation";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","this_allocation");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "this_allocation";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "this_allocation";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["this_allocation"] = $fdata;
		$tdataallocation[".searchableFields"][] = "this_allocation";
//	comment
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "comment";
	$fdata["GoodName"] = "comment";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","comment");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "comment";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`comment`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["comment"] = $fdata;
		$tdataallocation[".searchableFields"][] = "comment";
//	c_acc
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "c_acc";
	$fdata["GoodName"] = "c_acc";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","c_acc");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "c_acc";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "c_acc";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["c_acc"] = $fdata;
		$tdataallocation[".searchableFields"][] = "c_acc";
//	delete
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "delete";
	$fdata["GoodName"] = "delete";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","delete");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "delete";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`delete`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["delete"] = $fdata;
		$tdataallocation[".searchableFields"][] = "delete";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "allocation";
	$fdata["Label"] = GetFieldLabel("allocation","status");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "status";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=200";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataallocation["status"] = $fdata;
		$tdataallocation[".searchableFields"][] = "status";


$tables_data["allocation"]=&$tdataallocation;
$field_labels["allocation"] = &$fieldLabelsallocation;
$fieldToolTips["allocation"] = &$fieldToolTipsallocation;
$placeHolders["allocation"] = &$placeHoldersallocation;
$page_titles["allocation"] = &$pageTitlesallocation;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["allocation"] = array();
//	allocation_detail
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="allocation_detail";
		$detailsParam["dOriginalTable"] = "allocation_detail";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "allocation_detail";
	$detailsParam["dCaptionTable"] = GetTableCaption("allocation_detail");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["allocation"][$dIndex] = $detailsParam;

	
		$detailsTablesData["allocation"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["allocation"][$dIndex]["masterKeys"][]="id";

	$detailsTablesData["allocation"][$dIndex]["masterKeys"][]="expenditure_code";

	$detailsTablesData["allocation"][$dIndex]["masterKeys"][]="department_name";

	$detailsTablesData["allocation"][$dIndex]["masterKeys"][]="user";

	$detailsTablesData["allocation"][$dIndex]["masterKeys"][]="on_time";

	$detailsTablesData["allocation"][$dIndex]["masterKeys"][]="description";

				$detailsTablesData["allocation"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["allocation"][$dIndex]["detailKeys"][]="fk";

		
	$detailsTablesData["allocation"][$dIndex]["detailKeys"][]="expenditure_code";

		
	$detailsTablesData["allocation"][$dIndex]["detailKeys"][]="department";

		
	$detailsTablesData["allocation"][$dIndex]["detailKeys"][]="user";

		
	$detailsTablesData["allocation"][$dIndex]["detailKeys"][]="on_time";

		
	$detailsTablesData["allocation"][$dIndex]["detailKeys"][]="description";
//	list
	
	

		$dIndex = 1;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="list";
		$detailsParam["dOriginalTable"] = "allocation_detail";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "list";
	$detailsParam["dCaptionTable"] = GetTableCaption("list");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["allocation"][$dIndex] = $detailsParam;

	
		$detailsTablesData["allocation"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["allocation"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["allocation"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["allocation"][$dIndex]["detailKeys"][]="fk";

// tables which are master tables for current table (detail)
$masterTablesData["allocation"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_allocation()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  `date`,  expenditure_code,  department_name,  at_start,  at_end,  `user`,  on_time,  md,  description,  this_allocation,  `comment`,  c_acc,  `delete`,  status";
$proto0["m_strFrom"] = "FROM allocation";
$proto0["m_strWhere"] = "(status = \"creating\")";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "status = \"creating\"";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "= \"creating\"";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "allocation";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "date",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto8["m_sql"] = "`date`";
$proto8["m_srcTableName"] = "allocation";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "expenditure_code",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto10["m_sql"] = "expenditure_code";
$proto10["m_srcTableName"] = "allocation";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "department_name",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto12["m_sql"] = "department_name";
$proto12["m_srcTableName"] = "allocation";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "at_start",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto14["m_sql"] = "at_start";
$proto14["m_srcTableName"] = "allocation";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "at_end",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto16["m_sql"] = "at_end";
$proto16["m_srcTableName"] = "allocation";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto18["m_sql"] = "`user`";
$proto18["m_srcTableName"] = "allocation";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "on_time",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto20["m_sql"] = "on_time";
$proto20["m_srcTableName"] = "allocation";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "md",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto22["m_sql"] = "md";
$proto22["m_srcTableName"] = "allocation";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "description",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto24["m_sql"] = "description";
$proto24["m_srcTableName"] = "allocation";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "this_allocation",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto26["m_sql"] = "this_allocation";
$proto26["m_srcTableName"] = "allocation";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "comment",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto28["m_sql"] = "`comment`";
$proto28["m_srcTableName"] = "allocation";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "c_acc",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto30["m_sql"] = "c_acc";
$proto30["m_srcTableName"] = "allocation";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "delete",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto32["m_sql"] = "`delete`";
$proto32["m_srcTableName"] = "allocation";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "allocation",
	"m_srcTableName" => "allocation"
));

$proto34["m_sql"] = "status";
$proto34["m_srcTableName"] = "allocation";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto36=array();
$proto36["m_link"] = "SQLL_MAIN";
			$proto37=array();
$proto37["m_strName"] = "allocation";
$proto37["m_srcTableName"] = "allocation";
$proto37["m_columns"] = array();
$proto37["m_columns"][] = "id";
$proto37["m_columns"][] = "date";
$proto37["m_columns"][] = "expenditure_code";
$proto37["m_columns"][] = "department_name";
$proto37["m_columns"][] = "at_start";
$proto37["m_columns"][] = "at_end";
$proto37["m_columns"][] = "user";
$proto37["m_columns"][] = "on_time";
$proto37["m_columns"][] = "md";
$proto37["m_columns"][] = "description";
$proto37["m_columns"][] = "this_allocation";
$proto37["m_columns"][] = "comment";
$proto37["m_columns"][] = "c_acc";
$proto37["m_columns"][] = "delete";
$proto37["m_columns"][] = "status";
$obj = new SQLTable($proto37);

$proto36["m_table"] = $obj;
$proto36["m_sql"] = "allocation";
$proto36["m_alias"] = "";
$proto36["m_srcTableName"] = "allocation";
$proto38=array();
$proto38["m_sql"] = "";
$proto38["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto38["m_column"]=$obj;
$proto38["m_contained"] = array();
$proto38["m_strCase"] = "";
$proto38["m_havingmode"] = false;
$proto38["m_inBrackets"] = false;
$proto38["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto38);

$proto36["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto36);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="allocation";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_allocation = createSqlQuery_allocation();


	
		;

															

$tdataallocation[".sqlquery"] = $queryData_allocation;



include_once(getabspath("include/allocation_events.php"));
$tableEvents["allocation"] = new eventclass_allocation;
$tdataallocation[".hasEvents"] = true;

?>